Subject: Re: bug#77917: 31.0.50; [PATCH] Stop using the "stop" sign for all warning levels

From: Howard Melman <[email-masked]>
Date: Thu, 08 May 2025 22:48:52 -0400

Kévin Le Gouguec <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>
>>>>>>> On Tue, 06 May 2025 18:38:44 +0300, Eli Zaretskii <[email-masked]> said:
>>
>>     >> From: Robert Pluim <[email-masked]>
>>     >> Cc: [email-masked],  [email-masked],  [email-masked],
>>     >> [email-masked]
>>     >> Date: Tue, 06 May 2025 14:53:49 +0200
>>     >> 
>>     >> >>>>> On Tue, 06 May 2025 14:29:34 +0300, Eli Zaretskii <[email-masked]> said:
>>     >> 
>>     Eli> Really?  So we've just made another full circle back to the beginning?
>>     Eli> Where someone said, and I agree, that showing ⚠️ explains itself worse
>>     Eli> than the existing symbol, because it could be easily interpreted as
>>     Eli> meaning just "Warning".
>>     >> 
>>     >> But ⛔ means "you have done something wrong", at least to some.
>>
>>     Eli> Which is why someone suggested to use ✖ or ❌.
>>
>> OK
>>
>>     >> How about we just drop the icon completely?
>>
>>     Eli> And go for another circle?  It was you who suggested to go back to am
>>     Eli> icon, based on an example of a similar feature posted by Juri.
>>
>> OK, in that case we need the right icon, and a text button at the end
>> of the warning message.
>
> In case that can help, I think this is more or less what this patch on
> bug#61413 does: (with screenshot)
>
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61413#108>
>
> Direct link to the patch:
> <https://debbugs.gnu.org/cgi/bugreport.cgi?filename=0001-Use-plain-text-for-warning-supression-button.patch;bug=61413;msg=108;att=1>
>
> Screenshot:
> <https://debbugs.gnu.org/cgi/bugreport.cgi?att=2;msg=108;bug=61413;filename=Screenshot_20250223_163540.png>
>
> Similar to Juri's latest patch; in short,
>
> * stop using the "warnings-suppress" icon; keep it for
>   backward-compatibility in case there are out-of-tree users,
> * insert a new plain "warning" icon (with SVG representation that can
>   use the 'warning face),
> * add a text button for suppression.
>
> (The main feedback on that patch, IIRC, was that the 'button face looks
> too much like a link instead of something like 'custom-button.  Wasn't
> sure where to go from there so dropped the ball after that; thank y'all
> for picking it back up here)
>
> (There was also a FIXME for a problem that Juri solved in the other
> subthread by just inserting "\n" instead of calling 'newline, AFAIU)

I'm not sure I'm following all of this, but FWIW, I like ⚠️
as an icon merely to indicate a warning; and while I'm fine
with the text "suppress" as a button, maybe 🤫 would work as an
icon button to mean silence this (aka suppress). 

-- 

Howard